import { type ReactNode } from 'react';
export type ErrorModalProps = {
    heading?: string;
    children?: ReactNode;
    colorScheme?: string;
    confirmButtonText?: string;
    isOpen: boolean;
    onOpen: VoidFunction;
    onClose: VoidFunction;
};
/**
 * Modal component used to display errors, can be utilized for scenarios such as
 * displaying error detail from the backend etc.
 *
 * Optionally takes a heading (If you want the heading to be the error code for
 * example).
 *
 * Modal should be controlled by the useDisclosure hook with isOpen, onClose
 * passed as probs.
 */
export declare const ErrorModal: ({ confirmButtonText, heading, children, colorScheme, isOpen, onClose, }: ErrorModalProps) => import("react/jsx-runtime").JSX.Element;
