import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button, HStack, Heading, Modal, ModalBody, ModalCloseButton, ModalContent, ModalFooter, ModalHeader, ModalOverlay, } from '@chakra-ui/react';
/**
 * Modal component used to display errors, can be utilized for scenarios such as
 * displaying error detail from the backend etc.
 *
 * Optionally takes a heading (If you want the heading to be the error code for
 * example).
 *
 * Modal should be controlled by the useDisclosure hook with isOpen, onClose
 * passed as probs.
 */
export const ErrorModal = ({ confirmButtonText = 'Confirm', heading = 'Oops! There was a problem!', children, colorScheme = 'error', isOpen, onClose, }) => {
    return (_jsxs(Modal, { isOpen: isOpen, onClose: onClose, children: [_jsx(ModalOverlay, {}), _jsxs(ModalContent, { children: [_jsxs(ModalHeader, { children: [_jsx(HStack, { spacing: 4, alignItems: "center", children: _jsx(Heading, { size: "sm", children: heading }) }), _jsx(ModalCloseButton, {})] }), _jsx(ModalBody, { sx: { minHeight: 8 }, children: children }), _jsx(ModalFooter, { justifyContent: "flex-end", children: _jsx(Button, { colorScheme: colorScheme, variant: "solid", sx: { textTransform: 'uppercase' }, onClick: onClose, children: confirmButtonText }) })] })] }));
};
//# sourceMappingURL=ErrorModal.js.map