import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button, HStack, Text, useDisclosure } from '@chakra-ui/react';
import { ErrorModal } from './ErrorModal';
const meta = {
    title: 'components/widgets/ErrorModal',
    component: ErrorModal,
    args: {
        children: (_jsx(Text, { children: "This response is sent on an idle connection by some servers, even without any previous request by the client. It means that the server would like to shut down this unused connection. Please try again." })),
    },
    argTypes: {},
};
export default meta;
/**
 * (This story is rendered open by default so that Chromatic can snapshot it)
 */
export const Open = {
    args: {},
    render: () => {
        // eslint-disable-next-line react-hooks/rules-of-hooks
        const { isOpen, onOpen, onClose } = useDisclosure({ defaultIsOpen: true });
        return (_jsxs(HStack, { alignItems: "center", children: [_jsx(Button, { onClick: onOpen, children: "Open Modal" }), _jsx(ErrorModal, { isOpen: isOpen, onOpen: onOpen, onClose: onClose, children: _jsx(Text, { children: "This response is sent on an idle connection by some servers, even without any previous request by the client. It means that the server would like to shut down this unused connection. Please try again." }) })] }));
    },
};
export const CustomHeading = {
    args: {},
    render: () => {
        // eslint-disable-next-line react-hooks/rules-of-hooks
        const { isOpen, onOpen, onClose } = useDisclosure({ defaultIsOpen: false });
        return (_jsxs(HStack, { alignItems: "center", children: [_jsx(Button, { onClick: onOpen, children: "Open Modal" }), _jsx(ErrorModal, { isOpen: isOpen, onOpen: onOpen, onClose: onClose, heading: "This is a custom heading.", children: _jsx(Text, { children: "This response is sent on an idle connection by some servers, even without any previous request by the client. It means that the server would like to shut down this unused connection. Please try again." }) })] }));
    },
};
export const CustomColorScheme = {
    args: {},
    render: () => {
        // eslint-disable-next-line react-hooks/rules-of-hooks
        const { isOpen, onOpen, onClose } = useDisclosure({ defaultIsOpen: false });
        return (_jsxs(HStack, { alignItems: "center", children: [_jsx(Button, { onClick: onOpen, children: "Open Modal" }), _jsx(ErrorModal, { isOpen: isOpen, onOpen: onOpen, onClose: onClose, colorScheme: "error", children: _jsx(Text, { children: "This response is sent on an idle connection by some servers, even without any previous request by the client. It means that the server would like to shut down this unused connection. Please try again." }) })] }));
    },
};
//# sourceMappingURL=ErrorModal.stories.js.map