import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Flex, Wrap, useCheckboxGroup } from '@chakra-ui/react';
import { MdClose } from 'react-icons/md';
import { InteractableTag } from './InteractableTag';
const meta = {
    title: 'Components/widgets/InteractableTag',
    component: InteractableTag,
    args: {
        label: 'Interactable Tag',
    },
    argTypes: {
        label: { control: 'text' },
        isDisabled: { control: 'boolean' },
        size: { control: 'text' },
    },
    decorators: [
        (Story) => (_jsx(Flex, { children: _jsx(Wrap, { spacing: 2, children: _jsx(Story, {}) }) })),
    ],
};
export default meta;
export const FullExample = {
    args: {},
    render: () => {
        // eslint-disable-next-line react-hooks/rules-of-hooks
        const { value, getCheckboxProps } = useCheckboxGroup({
            defaultValue: ['foo'],
        });
        // note that you can imperatively `setValue(['foo'])`
        return (_jsxs(Wrap, { spacing: "2", children: [_jsx(InteractableTag, { label: "Foo", checkboxProps: getCheckboxProps({ value: 'foo' }) }), _jsx(InteractableTag, { label: "Bar", checkboxProps: getCheckboxProps({ value: 'bar' }) }), _jsx("output", { children: JSON.stringify(value) })] }));
    },
};
export const Icon = {
    args: {
        icon: _jsx(MdClose, {}),
    },
};
export const Small = {
    args: {
        icon: _jsx(MdClose, {}),
        size: 'sm',
    },
};
export const Disabled = {
    args: {
        isDisabled: true,
    },
};
//# sourceMappingURL=InteractableTag.stories.js.map