import { Button } from '@chakra-ui/react';
import { type Meta, type StoryObj } from '@storybook/react';
/**
 * Button component is used to trigger an action or event, such as submitting a
 * form, opening a Dialog, canceling an action, or performing a delete
 * operation.
 *
 * By default, the button is rendered with the 'solid' variant and 'md' size.
 *
 * You can pass in a colorScheme in order to change the colors of the button.
 *
 * See https://chakra-ui.com/docs/components/button for more information
 */
declare const meta: Meta<typeof Button>;
export default meta;
type Story = StoryObj<typeof Button>;
/** This is the default variant when creating a button */
export declare const SolidMedium: Story;
export declare const SolidExtraSmall: Story;
export declare const SolidSmall: Story;
export declare const SolidLarge: Story;
export declare const SolidWithColorScheme: Story;
/** Render the button with an outlined appearance */
export declare const OutlineMedium: Story;
export declare const OutlineExtraSmall: Story;
export declare const OutlineSmall: Story;
export declare const OutlineLarge: Story;
/** Resembles an HTML link */
export declare const LinkMedium: Story;
export declare const LinkExtraSmall: Story;
export declare const LinkSmall: Story;
export declare const LinkLarge: Story;
/** Render without a fill or stroke, but with the proportions of solid & outline */
export declare const GhostMedium: Story;
export declare const GhostExtraSmall: Story;
export declare const GhostSmall: Story;
export declare const GhostLarge: Story;
