import { jsx as _jsx } from "react/jsx-runtime";
import { IconButton } from '@chakra-ui/react';
import { MdClose } from 'react-icons/md';
import { getThemingArgTypes, } from '@burnsred/utils-storybook';
import { brTheme } from '../../theme';
import { handleClickPlaceholder } from '../../util';
/**
 * Displays a Button with an Icon inside.
 *
 * https://chakra-ui.com/docs/components/icon-button
 */
const meta = {
    title: 'Components/Atoms/IconButton',
    component: IconButton,
    args: {
        size: 'md',
        colorScheme: 'blue',
        onClick: handleClickPlaceholder,
    },
    argTypes: getThemingArgTypes(brTheme, 'IconButton'),
};
export default meta;
export const IconButtonMedium = {
    args: {
        icon: _jsx(MdClose, {}),
    },
};
export const IconButtonExtraSmall = {
    args: {
        icon: _jsx(MdClose, {}),
        size: 'xs',
    },
};
export const IconButtonSmall = {
    args: {
        icon: _jsx(MdClose, {}),
        size: 'sm',
    },
};
export const IconButtonLarge = {
    args: {
        icon: _jsx(MdClose, {}),
        size: 'lg',
    },
};
//# sourceMappingURL=IconButton.stories.js.map