import { jsx as _jsx } from "react/jsx-runtime";
import { Center, CircularProgress, } from '@chakra-ui/react';
/**
 * Default: `50px`
 *
 * Not themable at present, pass overrides in px or theme sizing scale
 */
const defaultSize = '50px';
/**
 * Displays a spinner centered in the available space
 *
 * https://chakra-ui.com/docs/components/progress/usage#progress-sizes
 */
export const Loading = ({ containerSx, size = defaultSize, ...circularProgressProps }) => (_jsx(Center, { sx: { height: '100vh', ...containerSx }, "data-testid": "Loading", children: _jsx(CircularProgress, { isIndeterminate: true, size: size, ...circularProgressProps }) }));
//# sourceMappingURL=Loading.js.map