import { type BoxProps, type ButtonProps, type MenuButtonProps as ChakraMenuButtonProps, type MenuProps as ChakraMenuProps } from '@chakra-ui/react';
export { type MenuProps, MenuItem, type MenuItemProps, MenuList, type MenuListProps, } from '@chakra-ui/react';
/**
 * Chakra Menu component with a workaround for a Popper.js warning when Menu is used inside Stack:
 *
 * [Menu component causes warning: "Popper: CSS "margin" styles cannot be used to apply padding..." Issue #3440 · chakra-ui/chakra-ui](https://github.com/chakra-ui/chakra-ui/issues/3440)
 *
 * @see https://chakra-ui.com/docs/components/menu/usage
 */
export declare const Menu: ({ sx, ...props }: ChakraMenuProps & {
    sx?: BoxProps['sx'];
}) => import("react/jsx-runtime").JSX.Element;
export type MenuButtonProps = ChakraMenuButtonProps & ButtonProps;
/**
 * Wraps Chakra.MenuButton with our own defaults
 *
 * (which can't be accommodated merely with variants due to `as`, `rightIcon`, etc)
 */
export declare const MenuButton: ({ children, sx, ...props }: MenuButtonProps) => import("react/jsx-runtime").JSX.Element;
