import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box } from '@chakra-ui/react';
import { getThemingArgTypes, } from '@burnsred/utils-storybook';
import { brTheme } from '../../theme';
import { Menu, MenuButton, MenuItem, MenuList } from '.';
/**
 * Modified Chakra Menu components
 *
 * - includes a mitigation for a Popper.js warning when Menu is used inside Stack
 * - uses our modified MenuButton, with animated icon
 *
 * https://chakra-ui.com/docs/components/menu
 */
const meta = {
    title: 'Components/Atoms/Menu',
    component: Menu,
    args: {
        variant: 'animatedIcon',
    },
    argTypes: {
        ...getThemingArgTypes(brTheme, 'Menu'),
    },
};
export default meta;
/** expand the canvas enough to see the full menu */
const storyCanvasStyles = {
    height: '300px',
};
export const Primary = {
    args: {},
    render: (...args) => {
        return (_jsx(Box, { sx: storyCanvasStyles, children: _jsxs(Menu, { ...args, children: [_jsx(MenuButton, { children: "Actions" }), _jsxs(MenuList, { children: [_jsx(MenuItem, { children: "Download" }), _jsx(MenuItem, { children: "Create a Copy" }), _jsx(MenuItem, { children: "Mark as Draft" }), _jsx(MenuItem, { children: "Delete" }), _jsx(MenuItem, { children: "Attend a Workshop" })] })] }) }));
    },
};
//# sourceMappingURL=Menu.stories.js.map