import { type FlexProps } from '@chakra-ui/react';
export type PlaceholderProps = FlexProps & {
    fullwidth?: boolean;
    round?: boolean;
    /** don't render the default text content 'Placeholder' */
    empty?: boolean;
};
/**
 * Provides a muted box to assist blocking out new layouts.
 *
 * ```tsx
 * <Placeholder w="200px" h="200px">TodoComponent</Placeholder>
 * ```
 */
export declare const Placeholder: ({ fullwidth, round, empty, children, ...props }: PlaceholderProps) => import("react/jsx-runtime").JSX.Element;
