import { jsx as _jsx } from "react/jsx-runtime";
import { Flex } from '@chakra-ui/react';
/**
 * Provides a muted box to assist blocking out new layouts.
 *
 * ```tsx
 * <Placeholder w="200px" h="200px">TodoComponent</Placeholder>
 * ```
 */
export const Placeholder = ({ fullwidth, round, empty, children, ...props }) => (_jsx(Flex, { role: "presentation", 
    // these are defined as props to assist overriding from the calling component
    width: fullwidth ? 'full' : undefined, borderRadius: round ? 'full' : 'base', bg: "chakra-placeholder-color", color: "bodyTextInverted", alignItems: "center", justifyContent: "center", overflow: "hidden", ...props, children: children ?? (empty ? null : 'Placeholder') }));
//# sourceMappingURL=Placeholder.js.map