import { getThemingArgTypes, } from '@burnsred/utils-storybook';
import { Placeholder } from './Placeholder';
import { brTheme } from '../../theme';
/**
 * ## FIXME
 *
 * Props are not being interpreted correctly
 * (unfiltered props are showing)
 */
const meta = {
    title: 'Components/Atoms/Placeholder',
    component: Placeholder,
    args: {
        fullwidth: true,
        empty: false,
        round: false,
    },
    argTypes: {
        ...getThemingArgTypes(brTheme, 'Flex'),
        /**
        If children is not declared, then:
    
        Type '{ colorScheme?: InputType | undefined; variant?: InputType | undefined; size?: InputType | undefined; }' has no properties in common with type 'Partial<ArgTypes<FlexProps & { fullwidth?: boolean | undefined; round?: boolean | undefined; empty?: boolean | undefined; }>>'.ts(2559)
          index.d.ts(1153, 5): The expected type comes from property 'argTypes' which is declared here on type 'ComponentAnnotations<ReactRenderer, FlexProps & { fullwidth?: boolean | undefined; round?: boolean | undefined; empty?: boolean | undefined; }>'
        */
        children: { control: 'text' },
        // these are correctly inferred when defaults are provided in `args`
        // fullwidth: {
        //   control: 'boolean',
        // },
        // round: {
        //   control: 'boolean',
        // },
        // empty: {
        //   control: 'boolean',
        // },
    },
};
export default meta;
export const Basic = {
    args: {
        width: 'full',
        height: 20,
    },
};
export const Empty = {
    args: {
        empty: true,
        width: 40,
        height: 20,
    },
};
export const Round = {
    args: {
        round: true,
        width: 32,
        height: 32,
    },
};
//# sourceMappingURL=Placeholder.stories.js.map