import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, Button, Popover, PopoverArrow, PopoverBody, PopoverCloseButton, PopoverContent, PopoverHeader, PopoverTrigger, } from '@chakra-ui/react';
/**
 * https://chakra-ui.com/docs/components/popover
 */
const meta = {
    title: 'Components/Atoms/Popover',
    component: Popover,
    args: {
        variant: '',
    },
    argTypes: {
        // ...getThemingArgTypes(brTheme as SimpleTheme, 'Popover'),
        variant: { control: 'text' },
    },
};
export default meta;
export const Primary = {
    args: {},
    render: () => (_jsx(Box, { minHeight: "200px", children: _jsxs(Popover, { children: [_jsx(PopoverTrigger, { children: _jsx(Button, { children: "Trigger" }) }), _jsxs(PopoverContent, { children: [_jsx(PopoverArrow, {}), _jsx(PopoverCloseButton, {}), _jsx(PopoverHeader, { children: "Confirmation!" }), _jsx(PopoverBody, { children: "Are you sure you want to have that milkshake?" })] })] }) })),
};
/**
 * Allow popover to shrink to fit its content
 *
 * https://github.com/chakra-ui/chakra-ui/issues/2609
 */
export const Responsive = {
    args: {
        variant: 'responsive',
    },
    render: (...args) => (_jsx(Box, { minHeight: "200px", children: _jsxs(Popover, { ...args, variant: "responsive", children: [_jsx(PopoverTrigger, { children: _jsx(Button, { children: "Trigger" }) }), _jsxs(PopoverContent, { children: [_jsx(PopoverArrow, {}), _jsx(PopoverCloseButton, {}), _jsx(PopoverHeader, { children: "Short!" }), _jsx(PopoverBody, { children: "(Short Content)" })] })] }) })),
};
//# sourceMappingURL=Popover.stories.js.map