import { jsx as _jsx } from "react/jsx-runtime";
import { Component } from 'react';
/**
 * TODO use @burnsred component, provide styles
 * @see https://react-typescript-cheatsheet.netlify.app/docs/basic/getting-started/error_boundaries/
 */
export class ErrorBoundary extends Component {
    state = {
        hasError: false,
    };
    static getDerivedStateFromError(_) {
        // Update state so the next render will show the fallback UI.
        return { hasError: true };
    }
    componentDidCatch(error, errorInfo) {
        console.error('Uncaught error:', error, errorInfo);
    }
    render() {
        if (this.state.hasError) {
            return _jsx("h1", { children: "Sorry, There was an error! We'll notify the team" });
        }
        return this.props.children;
    }
}
//# sourceMappingURL=ErrorBoundary.js.map