import { type HTMLChakraProps, type ThemingProps } from '@chakra-ui/react';
export interface FullHeightProps extends HTMLChakraProps<'div'>, ThemingProps {
}
/**
 * Renders a wrapper with minHeight 100vh
 *
 * ```tsx
 * <FullHeight> width: 100% </FullHeight>
 * <FullHeight variant="container" size="lg"> mimics Container </FullHeight>
 * ```
 */
export declare const FullHeight: import("@chakra-ui/system/dist/system.types").ComponentWithAs<"div", FullHeightProps>;
export default FullHeight;
