import { type BoxProps } from '@chakra-ui/react';
/**
 * Cleaves to the bottom of the viewport when rendered inside `<FullHeight />`
 *
 * ```tsx
 * <FullHeight maxWidth="full" gap="8">
 *   // ...
 *   <StickyFooter />
 * </FullHeight>
 * ```
 */
export declare const StickyFooter: ({ children, ...props }: BoxProps) => import("react/jsx-runtime").JSX.Element;
