import { jsx as _jsx } from "react/jsx-runtime";
import { Box, Container } from '@chakra-ui/react';
/**
 * Cleaves to the bottom of the viewport when rendered inside `<FullHeight />`
 *
 * ```tsx
 * <FullHeight maxWidth="full" gap="8">
 *   // ...
 *   <StickyFooter />
 * </FullHeight>
 * ```
 */
export const StickyFooter = ({ children, ...props }) => {
    return (_jsx(Box, { as: "footer", sx: { marginTop: 'auto' }, ...props, children: _jsx(Container, { variant: "desktopLayout", children: children }) }));
};
//# sourceMappingURL=StickyFooter.js.map