import { type ReactNode } from 'react';
type AccordionFieldGroupProps = {
    noGrid?: boolean;
    title: string;
    children: ReactNode;
    templateColumns?: string;
    gridGap?: string;
    rowGap?: string;
    isDocked?: boolean;
};
/**
 *  FieldGroup that composes Card, Accordion, and Grid to allow declarative
 *  layout of children by specifying how many columns each input should occupy.
 *
 *  ```tsx
 *  <Accordion allowToggle>
 *   <AccordionFieldGroup {...args}>
 *     <InputField label="First name" />
 *     <InputField label="First name" />
 *     <InputField label="Contact number" />
 *   </AccordionFieldGroup>
 * </Accordion>
 *
 * If the AccordionItem contains Popper elements (eg DatePicker), then pass `isDocked`
 * to prevent the Popper item get covered by the card below.
 *  ```
 */
export declare const AccordionFieldGroup: ({ noGrid, title, children, templateColumns, gridGap, rowGap, isDocked, }: AccordionFieldGroupProps) => import("react/jsx-runtime").JSX.Element;
export {};
