import { type Meta, type StoryObj } from '@storybook/react';
import { AccordionFieldGroup } from '.';
/**
 *  FieldGroup that composes Card, Accordion, and Grid to allow declarative
 *  layout of children by specifying how many columns each input should occupy.
 *
 *  ```tsx
 *  <Form as={Accordion} allowToggle>
 *   <AccordionFieldGroup {...args}>
 *     <InputField label="First name" />
 *     <InputField label="First name" />
 *     <InputField label="Contact number" />
 *   </AccordionFieldGroup>
 * </Form>
 *  ```
 */
declare const meta: Meta<typeof AccordionFieldGroup>;
export default meta;
type Story = StoryObj<typeof AccordionFieldGroup>;
export declare const Initial: Story;
export declare const AsymmetricalFields: Story;
