/**
 * See the following docs for a complete list of styleable elements:
 *
 * > To use the chakraStyles prop, first, check the documentation for the
 * > original styles prop from the react-select docs. This package offers an
 * > identical API for the chakraStyles prop, however, the provided and output
 * > style objects use Chakra's sx prop instead of the default emotion styles
 * > the original package offers. This allows you to both use the shorthand
 * > styling props you'd normally use to style Chakra components, as well as
 * > tokens from your theme such as named colors.
 *
 * https://github.com/csandman/chakra-react-select#chakrastyles
 *
 * @see type StylesProps node_modules/react-select/dist/declarations/src/styles.d.ts
 */
export declare const autocompleteChakraStyles: {
    dropdownIndicator: (prev: any, { selectProps: { menuIsOpen } }: {
        selectProps: {
            menuIsOpen: any;
        };
    }) => any;
    control: (prev: any) => any;
    container: (prev: any) => any;
    singleValue: (prev: any) => any;
    option: (prev: any) => any;
    placeholder: (prev: any) => any;
};
