import { mode } from '@chakra-ui/theme-tools';
/**
 * See the following docs for a complete list of styleable elements:
 *
 * > To use the chakraStyles prop, first, check the documentation for the
 * > original styles prop from the react-select docs. This package offers an
 * > identical API for the chakraStyles prop, however, the provided and output
 * > style objects use Chakra's sx prop instead of the default emotion styles
 * > the original package offers. This allows you to both use the shorthand
 * > styling props you'd normally use to style Chakra components, as well as
 * > tokens from your theme such as named colors.
 *
 * https://github.com/csandman/chakra-react-select#chakrastyles
 *
 * @see type StylesProps node_modules/react-select/dist/declarations/src/styles.d.ts
 */
export const autocompleteChakraStyles = {
    // @ts-expect-error Parameter ... implicitly has an 'any' type
    dropdownIndicator: (prev, { selectProps: { menuIsOpen } }) => ({
        ...prev,
        bg: mode('white', 'whiteAlpha.800'),
        cursor: 'pointer',
        '> svg': {
            transitionDuration: 'normal',
            transform: `rotate(${menuIsOpen ? 180 : 0}deg)`,
        },
    }),
    // @ts-expect-error Parameter ... implicitly has an 'any' type
    control: (prev) => ({
        ...prev,
        bg: mode('white', 'whiteAlpha.800'),
    }),
    // @ts-expect-error Parameter ... implicitly has an 'any' type
    container: (prev) => ({
        ...prev,
        width: '100%',
    }),
    // @ts-expect-error Parameter ... implicitly has an 'any' type
    singleValue: (prev) => ({
        ...prev,
        fontSize: 'sm',
    }),
    // @ts-expect-error Parameter ... implicitly has an 'any' type
    option: (prev) => ({
        ...prev,
        fontSize: 'sm',
    }),
    // @ts-expect-error Parameter ... implicitly has an 'any' type
    placeholder: (prev) => ({
        ...prev,
        color: 'bodyText',
        fontSize: 'sm',
    }),
};
//# sourceMappingURL=Autocomplete.styles.js.map