import { jsx as _jsx } from "react/jsx-runtime";
import { Autocomplete } from './Autocomplete';
import { renderWithTheme, screen } from '../../../test';
// 🔴 Autocomplete tests require renderWithTheme!
// See ./chakra-react-select.test.tsx
test('Autocomplete renders with placeholder', async () => {
    renderWithTheme(_jsx(Autocomplete, { placeholder: "find me" }));
    expect(screen.queryByRole('placeholder')).not.toBeInTheDocument();
    expect(screen.getByText('find me')).toBeInTheDocument();
});
test('Autocomplete renders with defaultOption', async () => {
    const options = [
        { value: 'a', label: 'Alpha' },
        { value: 'b', label: 'Beta' },
    ];
    const defaultOptionValue = options[0].value;
    renderWithTheme(_jsx(Autocomplete, { options: options, defaultValue: options.find((opt) => opt.value === defaultOptionValue) || null }));
    expect(screen.getByText(options[0].label)).toBeInTheDocument();
});
//# sourceMappingURL=Autocomplete.test.js.map