import { jsx as _jsx } from "react/jsx-runtime";
import { Select } from 'chakra-react-select';
import { renderWithTheme, screen } from '../../../test';
/*
TypeError: Cannot read properties of undefined (reading 'Input')

> This occurs because the ChakraProvider is required in order for this component to work.

https://github.com/csandman/chakra-react-select/issues/198#issuecomment-1267343284
*/
describe('When rendering out a <Select /> component', () => {
    it('should render without throwing a TypeError', () => {
        renderWithTheme(_jsx(Select, { size: "md" }));
        const input = screen.getByRole('combobox');
        expect(input).toBeInTheDocument();
    });
});
test('FYI placeholder prop renders non-accessible <div />', async () => {
    renderWithTheme(_jsx(Select, { placeholder: "find me" }));
    expect(screen.queryByRole('placeholder')).not.toBeInTheDocument();
    expect(screen.getByText('find me')).toBeInTheDocument();
});
//# sourceMappingURL=chakra-react-select.test.js.map