import { type GridProps } from '@chakra-ui/react';
/**
 *  FieldGroup that wraps Grid to allow declarative layout of children by
 *  specifying how many columns each input should occupy.
 *
 *  ```tsx
 * <FieldGroup templateColumns={3}>
 *   <InputField label="First name" />
 *   <InputField label="First name" />
 *   <InputField label="Contact number" />
 * </FieldGroup>
 *
 * <FieldGroup templateColumns={12}>
 *   <InputField name="short" colSpan={2} />
 *   <InputField name="long" colsSpan={10} />
 * </FieldGroup>
 *  ```
 *
 * @see https://chakra-ui.com/docs/components/grid/usage
 */
export declare const FieldGroup: ({ children, templateColumns, gridGap, rowGap, width, }: GridProps) => import("react/jsx-runtime").JSX.Element;
