import { jsx as _jsx } from "react/jsx-runtime";
import { HStack, chakra, } from '@chakra-ui/react';
const containerStyles = {
    '> .dropzone': {
        borderRadius: '4px',
        borderStyle: 'dashed',
        borderWidth: '2px',
        borderColor: 'border',
        paddingY: '8',
        textAlign: 'center',
        color: 'blackAlpha.500',
        fontWeight: 'bold',
        transition: 'border 0.3s linear',
        WebkitUserSelect: 'none',
        MozUserSelect: 'none',
        msUserSelect: 'none',
        userSelect: 'none',
        fontSize: 'sm',
        '> span': {
            color: 'link.500',
        },
        _hover: {
            borderColor: ' link.500',
            cursor: 'pointer',
        },
    },
    '> .dropzone[data-disabled=true]': {
        backgroundColor: 'blackAlpha.100',
        _hover: {
            borderColor: 'border',
            cursor: 'not-allowed',
        },
        '> span': {
            color: 'unset',
        },
    },
};
export const FilePickerContainer = (props) => (_jsx(chakra.div, { sx: containerStyles, ...props }));
export const FileListContainer = (props) => (_jsx(chakra.div, { sx: {}, ...props }));
const FileRowContainerStyle = {
    width: 'full',
    justifyContent: 'space-between',
    flexWrap: 'wrap',
    height: '10',
    borderBottom: '1px',
    fontSize: 'xs',
};
const FileRowContainerStyleAccepted = {
    ...FileRowContainerStyle,
    color: 'blackAlpha.500',
    borderColor: 'border',
};
const FileRowContainerStyleRejected = {
    ...FileRowContainerStyle,
    color: 'error',
    borderColor: 'error',
    '> div > div:first-of-type': {
        textDecoration: 'line-through',
    },
};
export const FileRowContainer = ({ status, ...rest }) => (_jsx(HStack, { sx: status ? FileRowContainerStyleAccepted : FileRowContainerStyleRejected, ...rest }));
export const FileContent = (props) => (_jsx(chakra.div, { sx: {}, ...props }));
export const FileName = (props) => (_jsx(chakra.div, { sx: {}, ...props }));
export const FileDeleteAction = (props) => (_jsx(chakra.div, { sx: { cursor: 'pointer' }, ...props }));
export const FileRejectReason = (props) => (_jsx(chakra.div, { sx: {}, ...props }));
//# sourceMappingURL=FilePicker.styles.js.map