import { type InputProps } from '@chakra-ui/react';
import { type Ref } from 'react';
export type OverridableInputProps = InputProps & {
    inputRef?: Ref<HTMLInputElement>;
};
export type OverridableInput = (props: OverridableInputProps) => JSX.Element;
type Props = InputProps & {
    namespace?: string;
    inputComponent?: OverridableInput;
    /**
     * Pass `inputRef` in only if required (eg for integration with a third party).
     *
     * A default inputRef will be created and passed to inputComponent if
     * props.inputRef is not passed.
     */
    inputRef?: Ref<HTMLInputElement>;
};
/**
 * @see https://chakra-ui.com/docs/components/input
 */
export declare function WidgetInput({ inputComponent, inputRef, ...props }: Props): import("react/jsx-runtime").JSX.Element;
export {};
