import { getThemingArgTypes, } from '@burnsred/utils-storybook';
import { InputField } from './InputField';
import { brTheme } from '../../../theme';
const meta = {
    title: 'Components/widgets/InputField',
    component: InputField,
    args: {
        label: 'InputField label',
        value: undefined,
        placeholder: 'placeholder',
        helpText: undefined,
        errorMessage: undefined,
        isInvalid: false,
        type: undefined,
    },
    argTypes: {
        // TODO import appropriate types
        ...getThemingArgTypes(brTheme, 'Input'),
        label: { control: 'text' },
        type: { control: 'text' },
        placeholder: { control: 'text' },
        errorMessage: { control: 'text' },
        helpText: { control: 'text' },
        isInvalid: { control: 'boolean' },
    },
};
export default meta;
export const Initial = {
    args: {},
};
export const HelpText = {
    args: {
        ...Initial.args,
        helpText: 'Some helpful information',
    },
};
export const ErrorMessage = {
    args: {
        ...Initial.args,
        isInvalid: true,
        errorMessage: 'Do not pass',
    },
};
export const Required = {
    args: {
        ...Initial.args,
        label: 'First name',
        isRequired: true,
    },
};
//Types
export const Number = {
    args: {
        ...Initial.args,
        label: 'Number Input',
        type: 'number',
    },
};
export const Phone = {
    args: {
        ...Initial.args,
        label: 'Phone Number Input',
        type: 'tel',
    },
};
export const Search = {
    args: {
        ...Initial.args,
        label: 'Search Input',
        type: 'search',
    },
};
export const URL = {
    args: {
        ...Initial.args,
        label: 'URL Input',
        type: 'url',
    },
};
export const Date = {
    args: {
        ...Initial.args,
        label: 'Date Input',
        type: 'date',
    },
};
export const Color = {
    args: {
        ...Initial.args,
        label: 'Color picker',
        type: 'color',
    },
};
export const LocalDateTime = {
    args: {
        ...Initial.args,
        label: 'URL Input',
        type: 'datetime-local',
    },
};
export const TextArea = {
    args: {
        ...Initial.args,
        label: 'Text Area Input',
        type: 'textarea',
    },
};
//# sourceMappingURL=InputField.stories.js.map