import { type Meta, type StoryObj } from '@storybook/react';
import { WidgetSelect as Select } from '.';
/**
 * https://chakra-ui.com/docs/components/select
 */
declare const meta: Meta<typeof Select>;
export default meta;
type Story = StoryObj<typeof Select>;
export declare const Primary: Story;
/** The value for `placeholder` is added as the first `option` */
export declare const NoOptions: Story;
/**
 * Use a custom icon for the Select
 *
 * You can rotate an icon by passing eg:
 *
 * ```tsx
 * <Icon as={MdArrowDropDownCircle} sx={{ transform: 'rotate(360deg)' }} />
 * ```
 */
export declare const CustomIcon: Story;
