import { type FormControlProps, type FormErrorMessageProps, type FormHelperTextProps, type FormLabelProps, type SelectProps } from '@chakra-ui/react';
import { type ChangeEventHandler } from 'react';
type InputFieldTypes = {
    colSpan?: number;
    errorMessage?: string;
    helpText?: string;
    onSelectChange?: ChangeEventHandler<HTMLSelectElement>;
    options?: {
        label: string;
        value: string;
    }[];
} & SelectProps & FormControlProps & FormLabelProps & FormErrorMessageProps & FormHelperTextProps;
/**
 * Input field for forms
 *
 * Pass options as props
 */
export declare const SelectField: ({ colSpan, onSelectChange, errorMessage, helpText, options, isRequired, isDisabled, isInvalid, isReadOnly, name, value, label, icon, placeholder, defaultValue, ...selectProps }: InputFieldTypes) => import("react/jsx-runtime").JSX.Element;
export {};
