import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FormControl, FormErrorMessage, FormHelperText, FormLabel, GridItem, Select, } from '@chakra-ui/react';
/**
 * Input field for forms
 *
 * Pass options as props
 */
export const SelectField = ({ colSpan = 1, onSelectChange, // FIXME back to onChange
errorMessage, // TODO will be provided by Duck
helpText, // TODO will be provided by Duck
options, 
// FormControlProps
isRequired, isDisabled, isInvalid, isReadOnly, 
// FormLabelProps
// requiredIndicator, // FIXME pass through
// optionalIndicator, // FIXME pass through
// FormErrorMessageProps
// just styles
// FormHelperTextProps
// just styles
// SelectProps
name, value, label, icon, placeholder, defaultValue, ...selectProps }) => {
    return (_jsx(GridItem, { colSpan: colSpan, children: _jsxs(FormControl, { isReadOnly: isReadOnly, isDisabled: isDisabled, isInvalid: isInvalid, isRequired: isRequired, children: [_jsx(FormLabel, { children: label }), _jsx(Select, { defaultValue: defaultValue, name: name, icon: icon, value: value, placeholder: placeholder, onChange: onSelectChange, ...selectProps, children: options &&
                        //temp
                        options.map((o) => (_jsx("option", { value: o.value, children: o.label }, o.value))) }), !isInvalid ? (_jsx(FormHelperText, { children: helpText })) : (_jsx(FormErrorMessage, { children: errorMessage }))] }) }));
};
//# sourceMappingURL=SelectField.js.map