import { jsx as _jsx } from "react/jsx-runtime";
import { object } from 'prop-types';
import { ThreeWaySwitch } from './ThreeWaySwitch';
const storyOptions = [
    { value: 'false', label: 'N' },
    { value: '', label: '' },
    { value: 'true', label: 'Y' },
];
const meta = {
    title: 'Components/Widgets/ThreeWaySwitch',
    component: ThreeWaySwitch,
    args: {},
    argTypes: {
        unsetEnabled: { control: 'boolean' },
        initialValue: { control: 'string' },
        options: { control: object },
    },
};
export default meta;
/**
 * ThreeWaySwitch component rendered with a blank initialValue and unsetEnabled
 * set to false.
 */
export const Basic = {
    args: {},
    render: () => {
        return (_jsx(ThreeWaySwitch, { unsetEnabled: false, initialValue: '', options: storyOptions }));
    },
};
/**
 * ThreeWaySwitch component rendered with a blank initialValue and unsetEnabled
 * set to true.
 */
export const UnsetEnabledTrue = {
    args: {},
    name: 'unsetEnabled true with no initialValue provided',
    render: () => {
        return (_jsx(ThreeWaySwitch, { unsetEnabled: true, initialValue: '', options: storyOptions }));
    },
};
/**
 * ThreeWaySwitch component rendered with an initialValue and unsetEnabled
 * set to true.
 */
export const UnsetEnabledTrueWithinitialValue = {
    args: {},
    name: 'unsetEnabled true with initialValue provided',
    render: () => {
        return (_jsx(ThreeWaySwitch, { unsetEnabled: true, initialValue: 'true', options: storyOptions }));
    },
};
export const UnsetEnabledTrueWithinitialValueAndReadonly = {
    args: {},
    name: 'unsetEnabled true with initialValue provided and readOnly',
    render: () => {
        return (_jsx(ThreeWaySwitch, { unsetEnabled: true, initialValue: 'true', options: storyOptions, isReadonly: true }));
    },
};
//# sourceMappingURL=ThreeWaySwitch.stories.js.map