import { jsx as _jsx } from "react/jsx-runtime";
import { chakra } from '@chakra-ui/react';
const bgColors = {
    0: 'gray.400',
    1: 'gray.300',
    2: '#28cd41',
};
export const Switch = ({ currentIndex, children }) => (_jsx(chakra.div, { sx: {
        position: 'relative',
        height: '20px',
        width: '56px',
        backgroundColor: `${bgColors[currentIndex]}`,
        transition: '0.15s background linear',
        borderRadius: 'full',
        padding: '0.125rem',
        boxSizing: 'content-box',
        display: 'flex',
        justifyContent: 'center',
    }, children: children }));
const transformLoc = {
    0: '-18px',
    1: '0px',
    2: '18px',
};
export const SwitchSelection = ({ currentIndex }) => (_jsx(chakra.span, { sx: {
        display: 'block',
        position: 'absolute',
        zIndex: '1',
        width: '20px',
        height: '20px',
        background: 'white',
        borderRadius: 'full',
        transition: 'transform 0.15s linear',
        transform: `translateX(${transformLoc[currentIndex]})`,
        boxShadow: '0 2px 5px 0 rgba(0, 0, 0, 0.16)',
    } }));
export const SwitchRadio = ({ checked }) => (_jsx("input", { type: "radio", name: "switch", className: "SwitchRadio", checked: checked, style: { display: 'none' }, readOnly: true }));
const labelColor = (checked, currentIndex) => {
    if (checked) {
        if (currentIndex === 0) {
            return 'gray.400';
        }
        else if (currentIndex === 2) {
            return '#28cd41';
        }
    }
    else {
        if (currentIndex === 0) {
            return 'gray.400';
        }
        else if (currentIndex === 1) {
            return 'gray.100';
        }
        else {
            return '#28cd41';
        }
    }
};
export const SwitchLabel = ({ children, onClick, checked, currentIndex, ...rest }) => (_jsx(chakra.label, { onClick: onClick, sx: {
        position: 'relative',
        zIndex: '2',
        float: 'left',
        width: '18px',
        height: '100%',
        lineHeight: '20px',
        fontSize: '11px',
        color: `${labelColor(checked, currentIndex)}`,
        textAlign: 'center',
        fontWeight: 'bold',
        cursor: 'pointer',
        transition: '0.3s color ease-out',
        WebkitUserSelect: 'none',
        MozUserSelect: 'none',
        MsUserSelect: 'none',
        userSelect: 'none',
    }, ...rest, children: children }));
//# sourceMappingURL=ThreeWaySwitch.styles.js.map