import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card, CardBody, CardFooter, Icon, SimpleGrid, Text, } from '@chakra-ui/react';
import { withTheme } from '@burnsred/utils-storybook';
import { brTheme } from '../..';
import * as GenericIcons from '../../assets/icons/GenericIcons';
const createIconGrid = (icons) => {
    const IconGrid = () => (_jsx(SimpleGrid, { columns: 5, spacing: 6, mt: 12, children: Object.entries(icons).map(([iconName, IconComponent]) => (_jsxs(Card, { size: "sm", alignItems: "center", overflow: 'hidden', children: [_jsx(CardBody, { children: _jsx(Icon, { boxSize: 6, as: IconComponent }) }), _jsx(CardFooter, { children: _jsx(Text, { textOverflow: 'hidden', mb: 0, fontSize: "sm", children: iconName }) })] }, iconName))) }));
    return IconGrid;
};
export const GenericIconGrid = withTheme(brTheme, createIconGrid(GenericIcons));
//# sourceMappingURL=IconGrid.js.map