import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { HStack, Heading, Input, Text, VStack, } from '@chakra-ui/react';
import { forwardRef, useState } from 'react';
import { withTheme } from '@burnsred/utils-storybook';
import { PhoneInput } from './PhoneInput';
import { Widget1 } from './Widget1';
import { Widget2 } from './Widget2';
import { Widget3 } from './Widget3';
import { brTheme } from '../../..';
const CustomInput1 = forwardRef((props, ref) => (_jsx(Input, { bg: "pink.100", placeholder: "CustomInput", ...props, ref: ref })));
CustomInput1.displayName = 'CustomInput1';
const CustomInput2 = (props, ref) => (_jsx(Input, { bg: "pink.100", placeholder: "CustomInput", ...props, ref: ref }));
const CustomInput3 = ({ inputRef, ...props }) => (_jsx(Input, { bg: "pink.100", placeholder: "CustomInput", ...props, ref: inputRef }));
export function Intad98() {
    const [phone, setPhone] = useState('');
    const [value1, setValue1] = useState('');
    const [value2, setValue2] = useState('');
    const [value3, setValue3] = useState('');
    return (_jsxs(VStack, { spacing: "8", align: "left", children: [_jsx(Heading, { size: "md", children: "Smallest working example" }), _jsxs(Text, { children: ['✅', " Clicking `PhoneInput` leftIcon focusses the input:"] }), _jsx(PhoneInput, { value: phone, setValue: setPhone }), _jsx(Heading, { size: "md", children: "Widget with ref & overridable inputComponent" }), _jsx(Text, { fontStyle: "italic", children: "Provide a custom Input component to `Widget` and forwardRefs such that clicking the icon focusses the input, and the input retains focus when state updates." }), _jsxs(HStack, { spacing: "6", align: "start", children: [_jsxs(VStack, { spacing: "8", align: "left", width: 1 / 3, children: [_jsx(Heading, { size: "sm", children: "Widget1" }), _jsx(Text, { fontStyle: "italic", children: "forwardRef is called on InputComponent where it is defined" }), _jsxs(Text, { children: ['✅', " using a default input"] }), _jsx(Widget1, { value: value1, setValue: setValue1 }), _jsxs(Text, { children: ['✅', " passing in inputComponent"] }), _jsx(Widget1, { value: value1, setValue: setValue1, 
                                // @ts-expect-error Type 'ForwardRefExoticComponent<InputProps & RefAttributes<HTMLInputElement>>' is not assignable to type 'OverridableInput1'
                                inputComponent: CustomInput1 }), _jsxs(Text, { children: ['✅', "...passing inline inputComponent"] }), _jsx(Widget1, { value: value1, setValue: setValue1, 
                                // @ts-expect-error Type 'ForwardRefExoticComponent<InputProps & RefAttributes<HTMLInputElement>>' is not assignable to type 'OverridableInput1'
                                // eslint-disable-next-line react/display-name
                                inputComponent: forwardRef((props, ref) => (_jsx(Input, { placeholder: "InlineInput", bg: "purple.100", ...props, ref: ref }))) })] }), _jsxs(VStack, { spacing: "8", align: "left", width: 1 / 3, children: [_jsx(Heading, { size: "sm", children: "Widget2" }), _jsx(Text, { fontStyle: "italic", children: "forwardRef is called _inside_ the render function" }), _jsxs(Text, { children: ['✅', " using a default input"] }), _jsx(Widget2, { value: value2, setValue: setValue2 }), _jsxs(Text, { children: ['✅', " passing in inputComponent"] }), _jsx(Widget2, { value: value2, setValue: setValue2, inputComponent: CustomInput2 }), _jsxs(Text, { children: ['✅', " passing inline inputComponent"] }), _jsx(Widget2, { value: value2, setValue: setValue2, inputComponent: (props, ref) => (_jsx(Input, { bg: "purple.100", placeholder: "InlineInput", ...props, ref: ref })) })] }), _jsxs(VStack, { spacing: "8", align: "left", width: 1 / 3, children: [_jsx(Heading, { size: "sm", children: "Widget3" }), _jsx(Text, { fontStyle: "italic", children: "doesn't use forwardRef, passes `inputRef` as a prop" }), _jsxs(Text, { children: ['✅', " ...using a default input"] }), _jsx(Widget3, { value: value3, setValue: setValue3 }), _jsxs(Text, { children: ['✅', " passing in inputComponent"] }), _jsx(Widget3, { value: value3, setValue: setValue3, inputComponent: CustomInput3 }), _jsxs(Text, { children: ['✅', " passing inline inputComponent"] }), _jsx(Widget3, { value: value3, setValue: setValue3, inputComponent: ({ inputRef, ...props }) => (_jsx(Input, { bg: "purple.100", placeholder: "InlineInput", ...props, ref: inputRef })) })] })] })] }));
}
export default withTheme(brTheme, Intad98);
//# sourceMappingURL=INTAD-98.js.map