import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Input, InputGroup, InputLeftAddon } from '@chakra-ui/react';
import { useEffect, useRef } from 'react';
/** Isolates ref.current.focus() behaviour */
export const PhoneInput = ({ focusOnRender, value, setValue, }) => {
    const ref = useRef(null);
    useEffect(() => {
        if (focusOnRender)
            ref?.current?.focus();
    }, [focusOnRender, ref]);
    return (_jsxs(InputGroup, { children: [_jsx(InputLeftAddon
            // REVIEW `void` works fine here!
            , { 
                // REVIEW `void` works fine here!
                onClick: () => void ref?.current?.focus(), children: "+61" }), _jsx(Input, { size: "xl", type: "tel", placeholder: "Phone Number", value: value, onChange: (event) => void setValue(event.target.value), ref: ref })] }));
};
//# sourceMappingURL=PhoneInput.js.map