import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Input, InputGroup, InputRightAddon, } from '@chakra-ui/react';
import { forwardRef, useEffect, useMemo, useRef, } from 'react';
const DefaultInput = (props, ref) => (_jsx(Input, { placeholder: "DefaultInput", ...props, ref: ref }));
/** forwardRef is called _inside_ the render function */
export const Widget2 = ({ value, setValue, inputComponent = DefaultInput, focusOnRender, }) => {
    const inputRef = useRef(null);
    useEffect(() => {
        if (focusOnRender && inputRef.current)
            inputRef.current.focus();
    }, [focusOnRender, inputRef]);
    const handleChange = (event) => {
        setValue(event.target.value);
    };
    // https://chakra-ui.com/community/recipes/as-prop#option-1-using-forwardref-from-chakra-uireact
    // useMemo here so that the component doesn't lose focus when recreated on each render
    const InputComponent = useMemo(() => forwardRef(inputComponent), 
    // passing inputComponent as a dep negates this fix!
    // eslint-disable-next-line react-hooks/exhaustive-deps
    []);
    // const InputComponent = useMemo(() => inputComponent, [inputComponent]);
    return (_jsxs(InputGroup, { children: [_jsx(InputComponent, { ref: inputRef, value: value, onChange: handleChange }), _jsx(InputRightAddon
            // using InputRightAddon so we can test focus()
            , { 
                // using InputRightAddon so we can test focus()
                onClick: () => inputRef?.current?.focus(), sx: { _hover: { cursor: 'pointer' } }, children: '🚀' })] }));
};
//# sourceMappingURL=Widget2.js.map