import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Input, InputGroup, InputRightAddon, } from '@chakra-ui/react';
import { useEffect, useMemo, useRef } from 'react';
const DefaultInput = ({ inputRef, ...props }) => (_jsx(Input, { placeholder: "DefaultInput", ...props, ref: inputRef }));
/** doesn't use forwardRef, passes `inputRef` as a prop */
export const Widget3 = ({ value, setValue, inputComponent = DefaultInput, focusOnRender, }) => {
    const inputRef = useRef(null);
    useEffect(() => {
        if (focusOnRender && inputRef.current)
            inputRef.current.focus();
    }, [focusOnRender, inputRef]);
    const handleChange = (event) => {
        setValue(event.target.value);
    };
    // memo Input component so it doesn't lose focus on state change
    // passing inputComponent as a dep negates this fix!
    // eslint-disable-next-line react-hooks/exhaustive-deps
    const InputComponent = useMemo(() => inputComponent, []);
    // const InputComponent = inputComponent;
    return (_jsxs(InputGroup, { children: [_jsx(InputComponent, { inputRef: inputRef, value: value, onChange: handleChange }), _jsx(InputRightAddon
            // using InputRightAddon so we can test focus()
            , { 
                // using InputRightAddon so we can test focus()
                onClick: () => inputRef?.current?.focus(), sx: { _hover: { cursor: 'pointer' } }, children: '🚀' })] }));
};
//# sourceMappingURL=Widget3.js.map