import { jsx as _jsx } from "react/jsx-runtime";
import { Button } from '@chakra-ui/react';
import { renderWithTheme, screen } from '..';
test('Components render `sx` as styles', () => {
    renderWithTheme(_jsx(Button, { "data-testid": "button", sx: { width: '404px' }, children: "Button" }));
    const button = screen.getByTestId('button');
    const styles = getComputedStyle(button);
    expect(styles.width).toEqual('404px');
});
test('Custom theme is honored', () => {
    const customTheme = {
        semanticTokens: {
            colors: {
                // not sure why this doesn't render as expected - I get 'ButtonText'
                // maybe need to waitFor another round of rendering? Not important
                error: '#ff0000',
            },
        },
        components: {
            Button: {
                baseStyle: {
                    width: '404px',
                    color: 'error',
                },
            },
        },
    };
    renderWithTheme(_jsx(Button, { "data-testid": "button", children: "Button" }), {
        theme: customTheme,
    });
    const button = screen.getByTestId('button');
    const styles = getComputedStyle(button);
    expect(styles.width).toEqual('404px');
    /*
    - Expected   "#ff0000"
    + Received   "ButtonText"
    */
    // expect(styles.color).toEqual('#ff0000');
});
//# sourceMappingURL=theme.test.js.map