import { increment } from './exampleModule';
import { doDecrement } from './exampleModuleNotMocked';
// a call like this uses implementations from ./__mocks__/exampleModule
// if it exists, otherwise it's auto-mocked; see ./vitest-auto-mocking.test.ts
vi.mock('./exampleModule');
test('can mock a fn called directly from a module', async () => {
    // our mocked function returns it's input without incrementing
    expect(increment(42)).toEqual(42);
    expect(increment).toBeCalledTimes(1);
});
test('can mock a function _called by_ the function under test', async () => {
    /*
    doDecrement calls decrement, which should be mocked
  
    The only way this can work (IIUC) is if the two functions
    (doDecrement, decrement) are defined in separate modules!
    */
    expect(doDecrement(42)).toEqual(42);
});
//# sourceMappingURL=vitest-__mocks__.test.js.map