import { notMocked } from './exampleModuleNotMocked';
/**
 * > If your code is importing a mocked module, without any associated
 * > __mocks__ file or factory for this module, Vitest will mock the module
 * > itself by invoking it and mocking every export.
 *
 * https://vitest.dev/guide/mocking.html#automocking-algorithm
 */
vi.mock('./exampleModuleNotMocked');
test('automocks exports from a module', async () => {
    // original function returns true, auto-mock returns undefined
    expect(notMocked()).toEqual(undefined);
    expect(notMocked).toBeCalledTimes(1);
});
//# sourceMappingURL=vitest-auto-mocking.test.js.map