import { jsx as _jsx } from "react/jsx-runtime";
import { useLocation } from 'react-router-dom';
/**
 * Helper element assists asserting that a route has updated
 *
 * ```tsx
 * expect(locationDisplay).toHaveTextContent('/my-url');
 * ```
 *
 * @see https://testing-library.com/docs/example-react-router/
 */
export const LocationDisplay = () => {
    const location = useLocation();
    return _jsx("div", { "data-testid": "location-display", children: location.pathname });
};
//# sourceMappingURL=LocationDisplay.js.map