/**
 * > The Button component is a single part component. All of the styling is
 * > applied directly to the button element.
 * @see https://chakra-ui.com/docs/components/button/theming
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/button.ts
 *
 * Note that with regard to colorScheme, there is a bunch of special-casing that
 * is applied to various colors (see `accessibleColorMap`).
 */
export declare const buttonTheme: {
    baseStyle?: {} | undefined;
    sizes?: {
        xs: {
            fontSize: string;
            borderRadius: string;
        };
        sm: {
            fontSize: string;
            borderRadius: string;
        };
        md: {
            fontSize: string;
            borderRadius: string;
        };
        lg: {
            borderRadius: string;
        };
    } | undefined;
    variants?: {
        solid: {
            textTransform: string;
            fontWeight: string;
            _disabled: {
                pointerEvents: string;
            };
        };
        outline: {
            borderColor: string;
            textTransform: string;
            _disabled: {
                pointerEvents: string;
            };
        };
        link: (props: import("@chakra-ui/styled-system").StyleFunctionProps) => {
            color: string;
            _dark: {
                color: string;
            };
            fontWeight: string;
        };
    } | undefined;
    defaultProps?: {
        size?: "sm" | "md" | "lg" | "xs" | undefined;
        variant?: "link" | "outline" | "solid" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
};
