/**
 * @see https://chakra-ui.com/docs/components/card/usage
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/card.ts
 */
export declare const customCardTheme: {
    baseStyle?: {
        container: {
            backgroundColor: string;
        };
    } | undefined;
    sizes?: {
        [key: string]: import("@chakra-ui/styled-system").PartsStyleInterpolation<{
            keys: ("container" | "body" | "footer" | "header")[];
        }>;
    } | undefined;
    variants?: {
        formCard: {
            container: {
                borderWidth: string;
                borderStyle: string;
                borderColor: string;
                borderRadius: string;
            };
        };
        monthcard: {
            container: {
                boxShadow: string;
                border: string;
                padding: number;
                borderRadius: string;
                minHeight: string;
                minWidth: string;
            };
            header: {
                padding: number;
                paddingTop: number;
                paddingBottom: number;
                textAlign: string;
                fontSize: string;
                fontWeight: string;
                borderBottom: string;
            };
            body: {
                marginTop: number;
                padding: number;
            };
        };
        eventcard: {
            container: {
                boxShadow: string;
                border: string;
                borderTop: string;
                padding: number;
                borderRadius: string;
                marginBottom: number;
                minHeight: number;
                _hover: {
                    cursor: string;
                };
            };
            header: {
                padding: number;
                fontSize: string;
                fontWeight: string;
                color: string;
                textTransform: string;
            };
            body: {
                marginTop: number;
                padding: number;
                fontWeight: string;
                color: string;
                fontSize: string;
            };
            footer: {
                padding: number;
                paddingTop: number;
                fontSize: string;
                color: string;
            };
        };
        eventcard_loreandculture: (props: import("@chakra-ui/styled-system").StyleFunctionProps) => any;
        eventcard_meeting: (props: import("@chakra-ui/styled-system").StyleFunctionProps) => any;
        eventcard_communication: (props: import("@chakra-ui/styled-system").StyleFunctionProps) => any;
        eventcard_funeral: (props: import("@chakra-ui/styled-system").StyleFunctionProps) => any;
    } | undefined;
    defaultProps?: {
        size?: string | number | undefined;
        variant?: "formCard" | "monthcard" | "eventcard" | "eventcard_loreandculture" | "eventcard_meeting" | "eventcard_communication" | "eventcard_funeral" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
    parts: ("container" | "body" | "footer" | "header")[];
};
