/**
 * Layout component used to visually separate content in a list or group.
 * It displays a thin horizontal or vertical line, and renders a `hr` tag.
 *
 * - not that `colorScheme` is suggested, but does not apply
 * - `orientation` defaults to 'horizontal', can be 'vertical'.
 *
 * @see https://chakra-ui.com/docs/components/divider
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/divider.ts
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/layout/src/divider.tsx
 */
export declare const dividerTheme: {
    baseStyle?: {
        opacity: number;
        borderColor: string;
    } | undefined;
    sizes?: {
        [key: string]: import("@chakra-ui/styled-system").SystemStyleInterpolation;
    } | undefined;
    variants?: {
        [key: string]: import("@chakra-ui/styled-system").SystemStyleInterpolation;
    } | undefined;
    defaultProps?: {
        size?: string | number | undefined;
        variant?: string | number | undefined;
        colorScheme?: string | undefined;
    } | undefined;
};
