/**
 * @see https://chakra-ui.com/docs/components/modal
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/modal.ts
 */
export declare const modalTheme: {
    baseStyle?: {
        closeButton: {
            color: string;
            _hover: {
                color: string;
            };
        };
    } | undefined;
    sizes?: {
        xl: {
            closeButton: {
                margin: number;
            };
            body: {
                paddingX: number;
                paddingTop: number;
                paddingBottom: number;
            };
            header: {
                paddingX: number;
                paddingY: number;
            };
            footer: {
                paddingX: number;
            };
        };
    } | undefined;
    variants?: {
        bordered: {
            header: {
                borderBottomStyle: string;
                borderBottomColor: string;
                borderBottomWidth: string;
            };
            footer: {
                borderTopStyle: string;
                borderTopColor: string;
                borderTopWidth: string;
            };
        };
    } | undefined;
    defaultProps?: {
        size?: "xl" | undefined;
        variant?: "bordered" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
    parts: ("body" | "dialog" | "footer" | "header" | "overlay" | "dialogContainer" | "closeButton")[];
};
