/**
 * @see https://chakra-ui.com/docs/components/tabs
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/tabs.ts
 */
export declare const tabsTheme: {
    baseStyle?: {} | undefined;
    sizes?: {
        cardAttachment: {
            tab: {
                fontSize: string;
                py: string;
                px: string;
            };
        };
    } | undefined;
    variants?: {
        cardAttachment: (props: import("@chakra-ui/styled-system").StyleFunctionProps) => {
            root: {
                marginBottom: string;
            };
            tablist: {
                marginBottom: string;
            };
            tab: {
                textTransform: string;
                fontWeight: string;
                marginRight: string;
                borderWidth: string;
                borderColor: string;
                bg: string;
                borderTopRadius: string;
                borderBottom: string;
                color: string;
                _selected: {
                    bg: string;
                    color: string;
                };
                _disabled: {
                    bg: string;
                    color: string;
                    opacity: number;
                };
            };
        };
    } | undefined;
    defaultProps?: {
        size?: "cardAttachment" | undefined;
        variant?: "cardAttachment" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
    parts: ("tab" | "tablist" | "tabpanel" | "tabpanels" | "root" | "indicator")[];
};
