/**
 * @see https://chakra-ui.com/docs/components/tag
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/components/tag.ts
 */
export declare const tagTheme: {
    baseStyle?: import("@chakra-ui/styled-system").PartsStyleInterpolation<{
        keys: ("container" | "label" | "closeButton")[];
    }> | undefined;
    sizes?: {
        md: {
            label: {
                fontSize: string;
            };
        };
    } | undefined;
    variants?: {
        outline: {
            container: {
                borderRadius: string;
                borderWidth: string;
                borderColor: string;
                boxShadow: number;
                fontWeight: string;
            };
            label: {
                color: string;
            };
        };
    } | undefined;
    defaultProps?: {
        size?: "md" | undefined;
        variant?: "outline" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
    parts: ("container" | "label" | "closeButton")[];
};
