import { type ComponentStyleConfig } from '@chakra-ui/react';
/**
 * Consider whether the stying we need can be accomplished via theme/foundations/typography.
 *
 * Eg, rather than setting fontSizes in variants,  create `sizes`
 *
 * Note, there is no theme for `Text` defined in the base package - it gets its sizes from... TODO where
 *
 * > The text styles functionality in Chakra makes it easy to repeatably apply a
 * > collection of text properties (like line height and size) to any component
 * > https://chakra-ui.com/docs/styled-system/text-and-layer-styles#text-styles
 *
 * @see https://chakra-ui.com/docs/components/text
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/layout/src/text.tsx
 */
export declare const textTheme: ComponentStyleConfig;
