/**
 * The keys of semanticTokens mirrors the keys of the theme itself
 *
 * Theme tokens inside semanticToken definitions will be resolved:
 *
 * ```ts
 * space: { gutter: 6 } // '6' resolves to '1.5rem'
 * ```
 *
 * @see https://chakra-ui.com/docs/styled-system/semantic-tokens
 * @see https://github.com/chakra-ui/chakra-ui/blob/main/packages/components/theme/src/theme.types.ts#L123
 */
export declare const semanticTokens: {
    colors: {
        [x: string]: import("@chakra-ui/styled-system").SemanticValue<"_hover" | "_active" | "_focus" | "_highlighted" | "_focusWithin" | "_focusVisible" | "_disabled" | "_readOnly" | "_before" | "_after" | "_empty" | "_expanded" | "_checked" | "_grabbed" | "_pressed" | "_invalid" | "_valid" | "_loading" | "_selected" | "_hidden" | "_autofill" | "_even" | "_odd" | "_first" | "_firstLetter" | "_last" | "_notFirst" | "_notLast" | "_visited" | "_activeLink" | "_activeStep" | "_indeterminate" | "_groupHover" | "_peerHover" | "_groupFocus" | "_peerFocus" | "_groupFocusVisible" | "_peerFocusVisible" | "_groupActive" | "_peerActive" | "_groupDisabled" | "_peerDisabled" | "_groupInvalid" | "_peerInvalid" | "_groupChecked" | "_peerChecked" | "_groupFocusWithin" | "_peerFocusWithin" | "_peerPlaceholderShown" | "_placeholder" | "_placeholderShown" | "_fullScreen" | "_selection" | "_rtl" | "_ltr" | "_mediaDark" | "_mediaReduceMotion" | "_dark" | "_light" | "_horizontal" | "_vertical", string>;
    };
    borders: {};
    sizes: {
        default: string;
        defaultPlusGutter: string;
        rightColumnWidth: string;
    };
    space: {
        gutter: string;
        comfortable: string;
    };
};
